%define anolis_release 1
%define debug_package %{nil}

Name:       ntl
Version:	11.5.1
Release:    %{anolis_release}%{?dist}
Summary:	NTL is a high-performance, portable C++ library providing data structures and algorithms for manipulating signed, arbitrary length integers, and for vectors, matrices, and polynomials over the integers and over finite fields.

License:	LGPL
URL:		https://libntl.org
Source0:	%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  gmp-devel

Requires:       gmp >= 6.2.1

%description
NTL

%package devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains development files for %{name}.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q

%build
cd src
./configure DEF_PREFIX=/usr NTL_GMP_LIP=on NTL_THREADS=on NTL_THREAD_BOOST=on TUNE=generic
%make_build -j
cd -

%install
cd %{_builddir}/%{name}-%{version}/src
%make_install
cd -

%files
%license README

%files devel
/usr/include/NTL/
/usr/lib/libntl.a

%files doc
/usr/share/doc/NTL/

%changelog
* Tue Oct 19 2022 xhuan28 <xiaojun.huang@intel.com> - 11.5.1-1
- Init package
